@use "sass:math";
@use "variables";

@mixin respond-to-size($size) {
  @if $size == medium {
    // 900px
    @media only screen and (max-width: 56.25em) {
      @content;
    }
  }
  @if $size == small {
    // 750px
    @media only screen and (max-width: 46.875em) {
      @content;
    }
  }

  @if $size == tiny {
    // around 600px
    @media only screen and (max-width: variables.$small-screen-threshold) {
      @content;
    }
  }
}
